## org.eclipse.datatools.enablement.sybase.ase.providers
Class SybaseASESQLModelContentProviderExtension

    java.lang.Object
      org.eclipse.datatools.connectivity.ui.CommonContentProviderBase
          org.eclipse.datatools.enablement.sybase.ase.providers.SybaseASESQLModelContentProviderExtension

All Implemented Interfaces:
  org.eclipse.jface.viewers.IContentProvider, org.eclipse.jface.viewers.IStructuredContentProvider, org.eclipse.jface.viewers.ITreeContentProvider, org.eclipse.ui.navigator.ICommonContentProvider, org.eclipse.ui.navigator.IMementoAware, org.eclipse.ui.navigator.IPipelinedTreeContentProvider

    public class SybaseASESQLModelContentProviderExtension

extends CommonContentProviderBase
implements org.eclipse.ui.navigator.IPipelinedTreeContentProvider

Author:
  Hui Cao

Constructor Summary
`SybaseASESQLModelContentProviderExtension()`

Method Summary
`IContentExtension` `getContentExtension(IConnectionProfile profile)`
`void` `getPipelinedChildren(java.lang.Object aParent, java.util.Set theCurrentChildren)`
`void` `getPipelinedElements(java.lang.Object anInput, java.util.Set theCurrentElements)`
`java.lang.Object` `getPipelinedParent(java.lang.Object anObject, java.lang.Object aSuggestedParent)`
`org.eclipse.ui.navigator.PipelinedShapeModification` `interceptAdd(org.eclipse.ui.navigator.PipelinedShapeModification anAddModification)`
`boolean` `interceptRefresh(org.eclipse.ui.navigator.PipelinedViewerUpdate aRefreshSynchronization)`
`org.eclipse.ui.navigator.PipelinedShapeModification` `interceptRemove(org.eclipse.ui.navigator.PipelinedShapeModification aRemoveModification)`
`boolean` `interceptUpdate(org.eclipse.ui.navigator.PipelinedViewerUpdate anUpdateSynchronization)`

Methods inherited from class org.eclipse.datatools.connectivity.ui.CommonContentProviderBase
`dispose, equals, getChildren, getElements, getParent, hasChildren, hashCode, init, init, inputChanged, restoreState, saveState`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.ui.navigator.ICommonContentProvider
`init`

Methods inherited from interface org.eclipse.jface.viewers.ITreeContentProvider
`getChildren, getElements, getParent, hasChildren`

Methods inherited from interface org.eclipse.jface.viewers.IContentProvider
`dispose, inputChanged`

Methods inherited from interface org.eclipse.ui.navigator.IMementoAware
`restoreState, saveState`

Constructor Detail

### SybaseASESQLModelContentProviderExtension

    public SybaseASESQLModelContentProviderExtension()

Method Detail

### getContentExtension

    public IContentExtension getContentExtension(IConnectionProfile profile)

  Overrides:
    `getContentExtension` in class `CommonContentProviderBase`
  Returns:
    the content extension for the specified profile. A content extension will be created if one does not already exist.

### getPipelinedChildren

    public void getPipelinedChildren(java.lang.Object aParent,
                                     java.util.Set theCurrentChildren)

  Specified by:
    `getPipelinedChildren` in interface `org.eclipse.ui.navigator.IPipelinedTreeContentProvider`

### getPipelinedElements

    public void getPipelinedElements(java.lang.Object anInput,
                                     java.util.Set theCurrentElements)

  Specified by:
    `getPipelinedElements` in interface `org.eclipse.ui.navigator.IPipelinedTreeContentProvider`

### getPipelinedParent

    public java.lang.Object getPipelinedParent(java.lang.Object anObject,
                                               java.lang.Object aSuggestedParent)

  Specified by:
    `getPipelinedParent` in interface `org.eclipse.ui.navigator.IPipelinedTreeContentProvider`

### interceptAdd

    public org.eclipse.ui.navigator.PipelinedShapeModification interceptAdd(org.eclipse.ui.navigator.PipelinedShapeModification anAddModification)

  Specified by:
    `interceptAdd` in interface `org.eclipse.ui.navigator.IPipelinedTreeContentProvider`

### interceptRefresh

    public boolean interceptRefresh(org.eclipse.ui.navigator.PipelinedViewerUpdate aRefreshSynchronization)

  Specified by:
    `interceptRefresh` in interface `org.eclipse.ui.navigator.IPipelinedTreeContentProvider`

### interceptRemove

    public org.eclipse.ui.navigator.PipelinedShapeModification interceptRemove(org.eclipse.ui.navigator.PipelinedShapeModification aRemoveModification)

  Specified by:
    `interceptRemove` in interface `org.eclipse.ui.navigator.IPipelinedTreeContentProvider`

### interceptUpdate

    public boolean interceptUpdate(org.eclipse.ui.navigator.PipelinedViewerUpdate anUpdateSynchronization)

  Specified by:
    `interceptUpdate` in interface `org.eclipse.ui.navigator.IPipelinedTreeContentProvider`